public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Georgy Yakovlev" <gyakovlev@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-fs/zfs/
Date: Thu, 11 Feb 2021 23:49:23 +0000 (UTC)	[thread overview]
Message-ID: <1613086858.2ac4896d9cb9918c9ca9d280cd2db562ddf93834.gyakovlev@gentoo> (raw)

commit:     2ac4896d9cb9918c9ca9d280cd2db562ddf93834
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 11 22:26:07 2021 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Thu Feb 11 23:40:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ac4896d

sys-fs/zfs: bump to 2.0.3

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 sys-fs/zfs/Manifest         |   1 +
 sys-fs/zfs/zfs-2.0.3.ebuild | 231 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 232 insertions(+)

diff --git a/sys-fs/zfs/Manifest b/sys-fs/zfs/Manifest
index 2eeae4f5d3e..e54decbd1b5 100644
--- a/sys-fs/zfs/Manifest
+++ b/sys-fs/zfs/Manifest
@@ -2,3 +2,4 @@ DIST zfs-0.8.5.tar.gz 9196381 BLAKE2B 8376f360369c4657ff1fc040fb2bba780bbd5d6a98
 DIST zfs-0.8.6.tar.gz 9295260 BLAKE2B 45424d710aaf75a05f766ae523ae157a24b5cbdcefe72a59e4cede81e42f7a92ae7f01150388437b78cd49f3d28b9664599f2a624516e6b3f1073497194a99f2 SHA512 626b172554f39a5c70f6ea5c599a92fae52534590d1b0273de2bbfc3676d29dff0eade8ca17e5f179a59870c12bc758fb53b7900f8a1fdbdef3a9161b93f9cce
 DIST zfs-2.0.1.tar.gz 12970188 BLAKE2B ec1ec4cfcc64adbe7ac0ce65e4fa118a77495886b1c8f2daea0b76f8bb32f0c4bbb6bc7fc16000b6c828f58e60b6ce8359a55ec1f2d2eef1279dd4f430e54f01 SHA512 7e8f490605cb80747a2e471ac5bdd184038f514da379ea7cadf14d5635d5f4cd1b47a7c92c95c4c1b7b0cf5ec22ea905d0d3e8d24e71733484f34cc9429f0f94
 DIST zfs-2.0.2.tar.gz 12980696 BLAKE2B 34f4168365d36372349a4986f17cff64987a697e445c2de2ff0bf5d218725fad4aab12b0436ca816300a65856f5918f0cdb8931abeeacd894046daf013bb944f SHA512 5033645ad8fc2afd73187cc00e775ad79ac89e9a69841e1bda2867c2f05dab082f55fc83eedf2fdff1dab322f0eaac1ba2f8411def94e9cd7c011a03e84d5363
+DIST zfs-2.0.3.tar.gz 13114404 BLAKE2B 71b3f68e681d51a78a38f9e11012074d2a4483b68437a17b5766d5db557be6fc8080179f20c1abc60f61b983eb0f126b887d762dc9aa8e480a3ee311d9067bf5 SHA512 8b2a6e0edfb3c85441076b2c6163ad3d7d239e11db128ab74d60bf8dc802d67b7f5b8d1cc7227316a7dc3917f14e9ac072ebf1583957f2a45c1b8438e4068200

diff --git a/sys-fs/zfs/zfs-2.0.3.ebuild b/sys-fs/zfs/zfs-2.0.3.ebuild
new file mode 100644
index 00000000000..1d1a3c6ccc7
--- /dev/null
+++ b/sys-fs/zfs/zfs-2.0.3.ebuild
@@ -0,0 +1,231 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_OPTIONAL=1
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit autotools bash-completion-r1 distutils-r1 flag-o-matic linux-info pam systemd toolchain-funcs udev usr-ldscript
+
+DESCRIPTION="Userland utilities for ZFS Linux kernel module"
+HOMEPAGE="https://github.com/openzfs/zfs"
+
+if [[ ${PV} == "9999" ]] ; then
+	inherit git-r3 linux-mod
+	EGIT_REPO_URI="https://github.com/openzfs/zfs.git"
+else
+	MY_P="${P/_rc/-rc}"
+	SRC_URI="https://github.com/openzfs/${PN}/releases/download/${MY_P}/${MY_P}.tar.gz"
+	KEYWORDS="~amd64 ~arm64 ~ppc64"
+	S="${WORKDIR}/${P%_rc?}"
+fi
+
+LICENSE="BSD-2 CDDL MIT"
+# just libzfs soname major for now.
+# possible candidates: libuutil, libzpool, libnvpair. Those do not provide stable abi, but are considered.
+SLOT="0/4"
+IUSE="custom-cflags debug kernel-builtin libressl minimal nls pam python +rootfs test-suite static-libs"
+
+DEPEND="
+	net-libs/libtirpc[static-libs?]
+	sys-apps/util-linux[static-libs?]
+	sys-libs/zlib[static-libs(+)?]
+	virtual/awk
+	virtual/libudev[static-libs(-)?]
+	libressl? ( dev-libs/libressl:0=[static-libs?] )
+	!libressl? ( dev-libs/openssl:0=[static-libs?] )
+	!minimal? ( ${PYTHON_DEPS} )
+	pam? ( sys-libs/pam )
+	python? (
+		virtual/python-cffi[${PYTHON_USEDEP}]
+	)
+"
+
+BDEPEND="virtual/awk
+	virtual/pkgconfig
+	nls? ( sys-devel/gettext )
+	python? (
+		dev-python/setuptools[${PYTHON_USEDEP}]
+	)
+"
+
+RDEPEND="${DEPEND}
+	!kernel-builtin? ( ~sys-fs/zfs-kmod-${PV} )
+	!prefix? ( virtual/udev )
+	sys-fs/udev-init-scripts
+	rootfs? (
+		app-arch/cpio
+		app-misc/pax-utils
+		!<sys-kernel/genkernel-3.5.1.1
+	)
+	test-suite? (
+		sys-apps/kmod[tools]
+		sys-apps/util-linux
+		sys-devel/bc
+		sys-block/parted
+		sys-fs/lsscsi
+		sys-fs/mdadm
+		sys-process/procps
+	)
+"
+
+REQUIRED_USE="
+	!minimal? ( ${PYTHON_REQUIRED_USE} )
+	python? ( !minimal )
+	test-suite? ( !minimal )
+"
+
+RESTRICT="test"
+
+PATCHES=( "${FILESDIR}/bash-completion-sudo.patch" )
+
+pkg_setup() {
+	if use kernel_linux && use test-suite; then
+		linux-info_pkg_setup
+
+		if  ! linux_config_exists; then
+			ewarn "Cannot check the linux kernel configuration."
+		else
+			if use test-suite; then
+				if linux_chkconfig_present BLK_DEV_LOOP; then
+					eerror "The ZFS test suite requires loop device support enabled."
+					eerror "Please enable it:"
+					eerror "    CONFIG_BLK_DEV_LOOP=y"
+					eerror "in /usr/src/linux/.config or"
+					eerror "    Device Drivers --->"
+					eerror "        Block devices --->"
+					eerror "            [X] Loopback device support"
+				fi
+			fi
+		fi
+	fi
+}
+
+src_prepare() {
+	default
+
+	if [[ ${PV} == "9999" ]]; then
+		eautoreconf
+	else
+		# Set revision number
+		sed -i "s/\(Release:\)\(.*\)1/\1\2${PR}-gentoo/" META || die "Could not set Gentoo release"
+	fi
+
+	if use python; then
+		pushd contrib/pyzfs >/dev/null || die
+		distutils-r1_src_prepare
+		popd >/dev/null || die
+	fi
+
+	# prevent errors showing up on zfs-mount stop, #647688
+	# openrc will unmount all filesystems anyway.
+	sed -i "/^ZFS_UNMOUNT=/ s/yes/no/" "etc/default/zfs.in" || die
+}
+
+src_configure() {
+	use custom-cflags || strip-flags
+	use minimal || python_setup
+
+	local myconf=(
+		--bindir="${EPREFIX}/bin"
+		--enable-shared
+		--enable-systemd
+		--enable-sysvinit
+		--localstatedir="${EPREFIX}/var"
+		--sbindir="${EPREFIX}/sbin"
+		--with-config=user
+		--with-dracutdir="${EPREFIX}/usr/lib/dracut"
+		--with-linux="${KV_DIR}"
+		--with-linux-obj="${KV_OUT_DIR}"
+		--with-udevdir="$(get_udevdir)"
+		--with-pamconfigsdir="${EPREFIX}/unwanted_files"
+		--with-pammoduledir="$(getpam_mod_dir)"
+		--with-systemdunitdir="$(systemd_get_systemunitdir)"
+		--with-systemdpresetdir="${EPREFIX}/lib/systemd/system-preset"
+		--with-vendor=gentoo
+		$(use_enable debug)
+		$(use_enable nls)
+		$(use_enable pam)
+		$(use_enable python pyzfs)
+		$(use_enable static-libs static)
+		$(usex minimal --without-python --with-python="${EPYTHON}")
+	)
+
+	econf "${myconf[@]}"
+}
+
+src_compile() {
+	default
+	if use python; then
+		pushd contrib/pyzfs >/dev/null || die
+		distutils-r1_src_compile
+		popd >/dev/null || die
+	fi
+}
+
+src_install() {
+	default
+
+	gen_usr_ldscript -a nvpair uutil zfsbootenv zfs zfs_core zpool
+
+	use pam && { rm -rv "${ED}/unwanted_files" || die ; }
+
+	use test-suite || { rm -r "${ED}/usr/share/zfs" || die ; }
+
+	if ! use static-libs; then
+		find "${ED}/" -name '*.la' -delete || die
+	fi
+
+	dobashcomp contrib/bash_completion.d/zfs
+	bashcomp_alias zfs zpool
+
+	# strip executable bit from conf.d file
+	fperms 0644 /etc/conf.d/zfs
+
+	if use python; then
+		pushd contrib/pyzfs >/dev/null || die
+		distutils-r1_src_install
+		popd >/dev/null || die
+	fi
+
+	# enforce best available python implementation
+	use minimal || python_fix_shebang "${ED}/bin"
+}
+
+pkg_postinst() {
+	if use rootfs; then
+		if ! has_version sys-kernel/genkernel && ! has_version sys-kernel/dracut; then
+			elog "root on zfs requires initramfs to boot"
+			elog "the following packages known to provide one and tested on regular basis:"
+			elog "  sys-kernel/dracut"
+			elog "  sys-kernel/genkernel"
+		fi
+	fi
+
+	if ! use kernel-builtin && [[ ${PV} = "9999" ]]; then
+		einfo "Adding ${P} to the module database to ensure that the"
+		einfo "kernel modules and userland utilities stay in sync."
+		update_moduledb
+	fi
+
+	if systemd_is_booted || has_version sys-apps/systemd; then
+		einfo "Please refer to ${EROOT}/lib/systemd/system-preset/50-zfs.preset"
+		einfo "for default zfs systemd service configuration"
+	else
+		[[ -e "${EROOT}/etc/runlevels/boot/zfs-import" ]] || \
+			einfo "You should add zfs-import to the boot runlevel."
+		[[ -e "${EROOT}/etc/runlevels/boot/zfs-mount" ]]|| \
+			einfo "You should add zfs-mount to the boot runlevel."
+		[[ -e "${EROOT}/etc/runlevels/default/zfs-share" ]] || \
+			einfo "You should add zfs-share to the default runlevel."
+		[[ -e "${EROOT}/etc/runlevels/default/zfs-zed" ]] || \
+			einfo "You should add zfs-zed to the default runlevel."
+	fi
+}
+
+pkg_postrm() {
+	if ! use kernel-builtin && [[ ${PV} == "9999" ]]; then
+		remove_moduledb
+	fi
+}


             reply	other threads:[~2021-02-11 23:49 UTC|newest]

Thread overview: 323+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-02-11 23:49 Georgy Yakovlev [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-05  6:28 [gentoo-commits] repo/gentoo:master commit in: sys-fs/zfs/ Sam James
2024-10-05  6:16 Sam James
2024-10-05  6:16 Sam James
2024-09-08  6:04 Arthur Zamarin
2024-09-08  6:04 Arthur Zamarin
2024-09-05 13:03 Sam James
2024-09-05 13:01 Sam James
2024-08-21 14:34 Sam James
2024-08-21 11:48 Sam James
2024-08-21 11:48 Sam James
2024-08-21 11:48 Sam James
2024-08-10 20:42 Sam James
2024-08-10 20:42 Sam James
2024-05-11  2:03 Sam James
2024-05-11  2:03 Sam James
2024-05-11  2:03 Sam James
2024-05-11  2:03 Sam James
2024-05-11  2:03 Sam James
2024-05-11  2:03 Sam James
2024-05-03  4:54 Sam James
2024-02-29  8:23 Sam James
2024-01-22 17:28 Arthur Zamarin
2024-01-22 17:28 Arthur Zamarin
2024-01-22 17:28 Arthur Zamarin
2024-01-08  9:48 Sam James
2023-12-28  3:43 Sam James
2023-12-28  3:43 Sam James
2023-12-27  6:49 WANG Xuerui
2023-12-27  6:49 WANG Xuerui
2023-12-12  3:57 Sam James
2023-12-12  3:57 Sam James
2023-12-12  3:57 Sam James
2023-12-01  3:26 Sam James
2023-12-01  3:26 Sam James
2023-11-27  0:23 Sam James
2023-11-22 10:43 Sam James
2023-10-25  2:33 Sam James
2023-10-25  2:33 Sam James
2023-10-25  2:33 Sam James
2023-10-17  8:08 Sam James
2023-10-14  1:53 Sam James
2023-10-14  1:53 Sam James
2023-09-28  1:18 Sam James
2023-09-09  1:58 Sam James
2023-09-09  1:53 Sam James
2023-08-09  5:56 Sam James
2023-08-09  5:56 Sam James
2023-08-04  0:54 Sam James
2023-08-03 16:20 Sam James
2023-08-03 16:20 Sam James
2023-07-28  1:35 Sam James
2023-07-28  1:35 Sam James
2023-07-23 23:55 Sam James
2023-07-03 21:03 Sam James
2023-06-07  9:52 Sam James
2023-05-31  2:57 Sam James
2023-05-30 11:23 Arthur Zamarin
2023-04-20 16:06 Sam James
2023-04-14 23:52 Sam James
2023-04-03 17:25 Georgy Yakovlev
2023-02-23 23:54 Georgy Yakovlev
2023-02-23 22:15 Sam James
2023-02-16  4:47 Sam James
2023-01-27 20:32 Georgy Yakovlev
2023-01-27 20:32 Georgy Yakovlev
2023-01-27 19:34 Georgy Yakovlev
2023-01-27 19:34 Georgy Yakovlev
2023-01-27 19:34 Georgy Yakovlev
2023-01-27 19:34 Georgy Yakovlev
2023-01-20 22:28 Sam James
2023-01-13  5:36 Sam James
2023-01-13  5:34 Georgy Yakovlev
2023-01-13  4:33 Georgy Yakovlev
2022-12-25  4:18 Georgy Yakovlev
2022-12-23 20:11 Kenton Groombridge
2022-12-08 19:48 Georgy Yakovlev
2022-12-08 19:14 Georgy Yakovlev
2022-12-08 19:14 Georgy Yakovlev
2022-12-02  2:54 Sam James
2022-12-02  2:51 Sam James
2022-10-14 12:43 Arthur Zamarin
2022-09-17 22:16 Georgy Yakovlev
2022-09-17 22:16 Georgy Yakovlev
2022-09-17 20:42 Georgy Yakovlev
2022-09-17  4:11 Georgy Yakovlev
2022-09-16 23:17 Georgy Yakovlev
2022-09-16 23:12 Georgy Yakovlev
2022-09-02 20:11 Sam James
2022-08-26 10:46 Sam James
2022-08-03 18:55 Sam James
2022-07-04 17:34 Sam James
2022-07-04 17:30 Sam James
2022-06-22 22:40 Sam James
2022-06-16 18:48 Georgy Yakovlev
2022-06-07 18:47 Georgy Yakovlev
2022-05-05  7:07 Jakov Smolić
2022-04-26  9:58 Georgy Yakovlev
2022-04-26  6:31 Sam James
2022-04-17 16:44 Sam James
2022-03-24 16:13 John Helmert III
2022-03-11 12:07 Sam James
2022-03-11 11:14 Sam James
2022-02-01 18:40 Michał Górny
2022-01-15 22:03 Sam James
2022-01-15 22:03 Sam James
2022-01-15 22:03 Sam James
2021-12-26 23:04 Georgy Yakovlev
2021-12-25  1:02 Georgy Yakovlev
2021-12-25  1:02 Georgy Yakovlev
2021-12-25  1:02 Georgy Yakovlev
2021-12-23 23:08 Georgy Yakovlev
2021-12-23 22:43 Georgy Yakovlev
2021-12-20  5:19 Georgy Yakovlev
2021-12-17  5:53 Georgy Yakovlev
2021-12-16  3:28 Georgy Yakovlev
2021-12-16  3:15 Sam James
2021-12-16  2:51 Georgy Yakovlev
2021-11-08  1:52 Georgy Yakovlev
2021-11-07 23:59 Georgy Yakovlev
2021-11-07 23:59 Georgy Yakovlev
2021-11-07 23:59 Georgy Yakovlev
2021-09-29 23:22 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-29 23:11 Georgy Yakovlev
2021-09-22  1:19 Sam James
2021-09-22  1:19 Sam James
2021-09-18 21:27 Georgy Yakovlev
2021-09-18 21:27 Georgy Yakovlev
2021-09-18 21:27 Georgy Yakovlev
2021-09-18 21:27 Georgy Yakovlev
2021-09-18 21:27 Georgy Yakovlev
2021-09-18  1:43 Yixun Lan
2021-09-16 22:16 Sam James
2021-09-07 17:37 Mike Gilbert
2021-09-03  1:53 Sam James
2021-07-31 13:40 Michał Górny
2021-07-02 19:10 Georgy Yakovlev
2021-07-02  8:31 Georgy Yakovlev
2021-07-02  8:31 Georgy Yakovlev
2021-07-02  8:31 Georgy Yakovlev
2021-07-02  8:31 Georgy Yakovlev
2021-07-02  8:16 Sam James
2021-07-02  7:02 Sam James
2021-07-02  7:02 Sam James
2021-06-24  2:28 Georgy Yakovlev
2021-06-11  2:08 Sam James
2021-06-11  2:07 Sam James
2021-06-11  2:07 Sam James
2021-06-11  2:07 Sam James
2021-06-09  5:20 Georgy Yakovlev
2021-06-09  5:20 Georgy Yakovlev
2021-06-08  7:12 Georgy Yakovlev
2021-05-31  2:05 Georgy Yakovlev
2021-05-28 20:08 Sam James
2021-05-28 20:08 Sam James
2021-05-11  6:11 Georgy Yakovlev
2021-05-11  6:08 Georgy Yakovlev
2021-05-11  6:08 Georgy Yakovlev
2021-05-02 16:45 Georgy Yakovlev
2021-05-02 16:45 Georgy Yakovlev
2021-04-30 19:12 Georgy Yakovlev
2021-04-30 19:12 Georgy Yakovlev
2021-04-30 19:12 Georgy Yakovlev
2021-04-23 13:33 Sam James
2021-04-23 13:33 Sam James
2021-04-19  0:18 Sam James
2021-04-14 23:11 Sam James
2021-04-14 23:11 Sam James
2021-04-14 23:11 Sam James
2021-04-14 23:11 Sam James
2021-04-08 15:41 Georgy Yakovlev
2021-04-06 10:05 Georgy Yakovlev
2021-04-02 10:03 Georgy Yakovlev
2021-04-02  8:21 Georgy Yakovlev
2021-03-09 21:08 Georgy Yakovlev
2021-03-04  4:22 Sam James
2021-03-01 10:59 Sam James
2021-02-11 23:49 Georgy Yakovlev
2021-02-11 23:49 Georgy Yakovlev
2021-02-02 23:52 Georgy Yakovlev
2021-01-12 19:28 Georgy Yakovlev
2021-01-12 19:28 Georgy Yakovlev
2021-01-07 18:51 Georgy Yakovlev
2021-01-07 18:51 Georgy Yakovlev
2020-12-15 10:28 Georgy Yakovlev
2020-12-15 10:22 Georgy Yakovlev
2020-12-01 19:04 Georgy Yakovlev
2020-12-01 19:04 Georgy Yakovlev
2020-11-25 18:57 Georgy Yakovlev
2020-11-25 18:57 Georgy Yakovlev
2020-11-14  3:30 Georgy Yakovlev
2020-11-14  3:28 Georgy Yakovlev
2020-11-12 20:20 Georgy Yakovlev
2020-11-06  2:45 Georgy Yakovlev
2020-11-06  2:45 Georgy Yakovlev
2020-11-06  2:45 Georgy Yakovlev
2020-11-06  2:45 Georgy Yakovlev
2020-11-03 20:07 Georgy Yakovlev
2020-11-03 20:07 Georgy Yakovlev
2020-10-22  2:41 Georgy Yakovlev
2020-10-22  2:35 Georgy Yakovlev
2020-10-07  0:00 Georgy Yakovlev
2020-10-01 22:31 Georgy Yakovlev
2020-10-01 22:31 Georgy Yakovlev
2020-09-21 23:04 Georgy Yakovlev
2020-09-21 22:51 Georgy Yakovlev
2020-09-18 21:59 Georgy Yakovlev
2020-09-02 18:46 Georgy Yakovlev
2020-08-30 22:50 Georgy Yakovlev
2020-08-30 22:25 Georgy Yakovlev
2020-08-28 19:52 Georgy Yakovlev
2020-08-27 20:12 Georgy Yakovlev
2020-08-27  8:24 Georgy Yakovlev
2020-08-27  8:24 Georgy Yakovlev
2020-08-27  8:24 Georgy Yakovlev
2020-08-27  8:24 Georgy Yakovlev
2020-08-27  7:28 Georgy Yakovlev
2020-08-27  7:28 Georgy Yakovlev
2020-08-27  3:21 Georgy Yakovlev
2020-08-27  3:21 Georgy Yakovlev
2020-08-25 22:30 Georgy Yakovlev
2020-08-21  6:31 Georgy Yakovlev
2020-08-21  6:31 Georgy Yakovlev
2020-08-20 19:29 Mikle Kolyada
2020-08-08 14:12 Mikle Kolyada
2020-07-05  1:59 Georgy Yakovlev
2020-07-04 23:14 Georgy Yakovlev
2020-06-10 21:49 Richard Yao
2020-06-10 21:49 Richard Yao
2020-06-10 21:49 Richard Yao
2020-05-12 22:44 Georgy Yakovlev
2020-05-12 22:44 Georgy Yakovlev
2020-05-06  3:03 Georgy Yakovlev
2020-04-27  2:06 Georgy Yakovlev
2020-04-14 23:03 Georgy Yakovlev
2020-03-30 21:08 Georgy Yakovlev
2020-03-13  5:18 Georgy Yakovlev
2020-02-10 12:12 Michał Górny
2020-02-07  5:37 Georgy Yakovlev
2020-01-24  7:05 Georgy Yakovlev
2020-01-23  0:35 Georgy Yakovlev
2020-01-23  0:35 Georgy Yakovlev
2020-01-21 19:01 Georgy Yakovlev
2019-11-26 20:32 Georgy Yakovlev
2019-10-27 15:31 Michał Górny
2019-09-12 21:50 Georgy Yakovlev
2019-08-19  0:45 Georgy Yakovlev
2019-08-18  5:57 Georgy Yakovlev
2019-08-18  1:19 Georgy Yakovlev
2019-08-18  1:19 Georgy Yakovlev
2019-08-17 20:43 Georgy Yakovlev
2019-08-17 20:43 Georgy Yakovlev
2019-08-17 20:43 Georgy Yakovlev
2019-08-14  6:05 Georgy Yakovlev
2019-08-14  6:05 Georgy Yakovlev
2019-08-04  8:41 Georgy Yakovlev
2019-06-23  8:00 Georgy Yakovlev
2019-06-23  8:00 Georgy Yakovlev
2019-06-14 22:07 Georgy Yakovlev
2019-05-24  0:54 Georgy Yakovlev
2019-05-23 23:19 Georgy Yakovlev
2019-05-23 19:30 Georgy Yakovlev
2019-05-23 18:43 Georgy Yakovlev
2019-05-23 18:43 Georgy Yakovlev
2019-05-17 21:16 Georgy Yakovlev
2019-05-17 21:16 Georgy Yakovlev
2019-05-17 21:16 Georgy Yakovlev
2019-05-16 12:30 Georgy Yakovlev
2019-05-11 20:11 Georgy Yakovlev
2019-05-10  0:19 Georgy Yakovlev
2019-04-26 21:09 Georgy Yakovlev
2019-04-18 21:34 Georgy Yakovlev
2019-03-05  4:29 Georgy Yakovlev
2019-02-20 20:25 Georgy Yakovlev
2018-11-22 22:24 Georgy Yakovlev
2018-11-22 22:24 Georgy Yakovlev
2018-06-24 12:37 Jason Zaman
2018-06-18 21:16 Georgy Yakovlev
2018-04-01 16:10 Aaron Bauman
2018-03-08 16:21 Matt Thode
2018-03-08 16:21 Matt Thode
2018-03-08 16:21 Matt Thode
2018-02-14 21:45 Matt Thode
2018-02-14 21:01 Matt Thode
2017-11-17 19:47 Jonathan Vasquez
2017-09-12 13:07 Jonathan Vasquez
2017-08-12 14:12 Jonathan Vasquez
2017-08-12 14:12 Jonathan Vasquez
2017-08-12 14:12 Jonathan Vasquez
2017-07-27 12:41 Jonathan Vasquez
2017-07-11  1:54 Jonathan Vasquez
2017-06-15  2:03 Jonathan Vasquez
2017-02-22  9:23 Yixun Lan
2017-02-07  0:56 Jonathan Vasquez
2016-11-22 12:41 Yixun Lan
2016-10-10  2:15 Yixun Lan
2016-06-22  6:13 Yixun Lan
2016-05-07  1:55 Matt Thode
2016-04-15 18:59 Matt Thode
2016-01-28  6:17 Richard Yao
2016-01-27 22:06 Richard Yao
2016-01-27 21:41 Richard Yao
2016-01-16 19:06 Richard Yao
2016-01-04 20:04 Richard Yao
2015-12-03 18:36 Richard Yao
2015-10-23 20:46 Jason Zaman
2015-10-23 20:34 Jason Zaman
2015-10-10 22:13 Anthony G. Basile
2015-10-09 15:44 Richard Yao
2015-10-09 15:35 Richard Yao
2015-10-09 15:32 Richard Yao
2015-10-01 23:00 Richard Yao
2015-09-13  3:52 Richard Yao
2015-09-11 21:54 Richard Yao

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1613086858.2ac4896d9cb9918c9ca9d280cd2db562ddf93834.gyakovlev@gentoo \
    --to=gyakovlev@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox